Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java	(revision 1335)
@@ -149,7 +149,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(NLS.bind(TXMUIMessages.ImportDialog_0, loadername)); 
+		newShell.setText(NLS.bind(TXMUIMessages.importSetupP0, loadername)); 
 		newShell.setMinimumSize(300, 200);
 	}
 
@@ -172,7 +172,7 @@
 
 			// directory
 			Label dirLabel = new Label(mainPanel, SWT.NONE);
-			dirLabel.setText(TXMUIMessages.ImportDialog_1);
+			dirLabel.setText(TXMUIMessages.sourceDirectoryDDot);
 			dirLabel.setAlignment(SWT.CENTER);
 			dirLabel.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 					false, false));
@@ -203,7 +203,7 @@
 						if (new File(srcdir, "html").exists() && new File(srcdir, "data").exists() && new File(srcdir, "registry").exists()) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
 						{	
 							TXMMessageBox.show(parent
-									.getShell(), TXMUIMessages.AddBase_19, TXMUIMessages.ImportDialog_13, SWT.ICON_WARNING);
+									.getShell(), TXMUIMessages.warning, TXMUIMessages.thisDirectorySeemsToContainABinaryCorpus, SWT.ICON_WARNING);
 						}
 						
 						directory = new File(path);
@@ -243,26 +243,26 @@
 
 			// encoding
 			Group encodingGroup = new Group(optionsPanel, SWT.SHADOW_ETCHED_IN);
-			encodingGroup.setText(TXMUIMessages.ImportDialog_4);
+			encodingGroup.setText(TXMUIMessages.sourcesCharactersEncodingDDot);
 			encodingGroup.setLayout(new GridLayout(2, false));
 			encodingGroup.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, false, 3, 1));
 
 			btnDefaultEncoding = new Button(encodingGroup, SWT.RADIO);
-			btnDefaultEncoding.setText(TXMUIMessages.ImportDialog_14
+			btnDefaultEncoding.setText(TXMUIMessages.thisComputerEncodingDDot
 					+ System.getProperty("file.encoding")); //$NON-NLS-1$
 			btnDefaultEncoding.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, false, 2, 1));
 			btnDefaultEncoding.setSelection(true);
 
 			btnGuessEncoding = new Button(encodingGroup, SWT.RADIO);
-			btnGuessEncoding.setText(TXMUIMessages.ImportDialog_16);
+			btnGuessEncoding.setText(TXMUIMessages.guessDDot);
 
 			btnGuess2Encoding = new Button(encodingGroup, SWT.PUSH);
 			btnGuess2Encoding.setText("??"); //$NON-NLS-1$
 
 			btnSelectEncoding = new Button(encodingGroup, SWT.RADIO);
-			btnSelectEncoding.setText(TXMUIMessages.ImportDialog_22);
+			btnSelectEncoding.setText(TXMUIMessages.selectDDot);
 
 			encodingCombo = new Combo(encodingGroup, SWT.BORDER);
 			encodingCombo.setLayoutData(new GridData(GridData.FILL,
@@ -294,26 +294,26 @@
 
 			// lang
 			Group langGroup = new Group(optionsPanel, SWT.SHADOW_ETCHED_IN);
-			langGroup.setText(TXMUIMessages.ImportDialog_5);
+			langGroup.setText(TXMUIMessages.mainLanguageDDot);
 			langGroup.setLayout(new GridLayout(2, false));
 			langGroup.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 					true, false, 3, 1));
 
 			btnDefaultLang = new Button(langGroup, SWT.RADIO);
-			btnDefaultLang.setText(TXMUIMessages.ImportDialog_19
+			btnDefaultLang.setText(TXMUIMessages.thisComputerLanguageDDot
 					+ Locale.getDefault().getLanguage());
 			btnDefaultLang.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, false, 2, 1));
 			btnDefaultLang.setSelection(true);
 
 			btnGuessLang = new Button(langGroup, SWT.RADIO);
-			btnGuessLang.setText(TXMUIMessages.ImportDialog_16); 
+			btnGuessLang.setText(TXMUIMessages.guessDDot); 
 
 			btnGuess2Lang = new Button(langGroup, SWT.PUSH);
 			btnGuess2Lang.setText("??"); //$NON-NLS-1$
 
 			btnSelectLang = new Button(langGroup, SWT.RADIO);
-			btnSelectLang.setText(TXMUIMessages.ImportDialog_22);
+			btnSelectLang.setText(TXMUIMessages.selectDDot);
 
 			langcombo = new Combo(langGroup, SWT.BORDER);
 			langcombo.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
@@ -350,7 +350,7 @@
 			selectTokenizerPanel.setLayout(new GridLayout(4, false));
 			selectTokenizerPanel.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, false, 3, 1));
-			selectTokenizerPanel.setText(TXMUIMessages.ImportDialog_6);
+			selectTokenizerPanel.setText(TXMUIMessages.tokenizerParameterFileDDot);
 
 			final Text tokenizerValue = new Text(selectTokenizerPanel,
 					SWT.SINGLE | SWT.BORDER);
@@ -387,7 +387,7 @@
 			tokenizerButton = new Button(selectTokenizerPanel, SWT.PUSH);
 			// tokenizerButton.setLayoutData(new GridData(GridData.FILL,
 			// GridData.FILL, false, false));
-			tokenizerButton.setText(TXMUIMessages.PropertiesSelector_2);
+			tokenizerButton.setText(TXMUIMessages.edit);
 			tokenizerButton.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -405,7 +405,7 @@
 			});
 
 			final ExpandItem item0 = new ExpandItem(bar, SWT.NONE, 0);
-			item0.setText(TXMUIMessages.ImportDialog_23);
+			item0.setText(TXMUIMessages.options);
 			item0.setHeight(optionsPanel.computeSize(SWT.DEFAULT,SWT.DEFAULT).y);
 			item0.setControl(optionsPanel);
 						
@@ -509,4 +509,4 @@
 		super.okPressed();
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 1335)
@@ -151,7 +151,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(TXMUIMessages.CreatePartitionDialog_0);
+		newShell.setText(TXMUIMessages.createPartition);
 		newShell.setMinimumSize(400, 400);
 	}
 
@@ -171,7 +171,7 @@
 		FontData defaultFont = f.getFontData()[0];
 		defaultFont.setStyle(SWT.BOLD);
 		Font newf = new Font(nameLabel.getDisplay(), defaultFont);
-		nameLabel.setText(TXMUIMessages.CreatePartitionDialog_6);
+		nameLabel.setText(TXMUIMessages.ampNameDDot);
 		nameLabel.setLayoutData(new GridData(GridData.FILL, GridData.CENTER,
 				false, false));
 		nameLabel.setFont(newf);
@@ -189,7 +189,7 @@
 
 		TabItem simpleTab = new TabItem(tabFolder, SWT.NONE);
 
-		simpleTab.setText(TXMUIMessages.CreatePartitionDialog_1);
+		simpleTab.setText(TXMUIMessages.simple);
 
 		Composite composite = new Composite(tabFolder, SWT.NONE);
 		simpleTab.setControl(composite);
@@ -201,7 +201,7 @@
 		// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 		Label structureLabel = new Label(composite, SWT.NONE);
-		structureLabel.setText(TXMUIMessages.CreatePartitionDialog_2);
+		structureLabel.setText(TXMUIMessages.ampStructureDDot);
 		structureLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
 
@@ -255,7 +255,7 @@
 		// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 		Label propertyLabel = new Label(composite, SWT.NONE);
-		propertyLabel.setText(TXMUIMessages.CreatePartitionDialog_4);
+		propertyLabel.setText(TXMUIMessages.ampPropertyDDot);
 		propertyLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -300,7 +300,7 @@
 		// Second Tab : assisted mode
 		TabItem assistedTab = new TabItem(tabFolder, SWT.NONE);
 
-		assistedTab.setText(TXMUIMessages.CreatePartitionDialog_3);
+		assistedTab.setText(TXMUIMessages.assisted);
 
 		compositeForAssisted = new PartitionComposer(tabFolder, SWT.NONE,
 				this.corpus);
@@ -310,7 +310,7 @@
 		// --------------------------------------------------------
 
 		TabItem advancedTab = new TabItem(tabFolder, SWT.NONE);
-		advancedTab.setText(TXMUIMessages.CreatePartitionDialog_5);
+		advancedTab.setText(TXMUIMessages.advanced);
 
 		Composite advanceContainer = new Composite(tabFolder, SWT.NONE);
 		GridLayout advanceLayout = new GridLayout(1, true);
@@ -450,7 +450,7 @@
 	 */
 	private void addQueryField(final Composite composite) {
 		final Text advancedPartLabel = new Text(composite, SWT.NONE);
-		advancedPartLabel.setText(TXMUIMessages.CreatePartitionDialog_7
+		advancedPartLabel.setText(TXMUIMessages.part
 				+ (partNames.size() + 1)); 
 		advancedPartLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
@@ -498,21 +498,21 @@
 			{
 				String name = "partition"+(this.corpus.getPartitions().size()+1); //$NON-NLS-1$
 				nameText.setText(name);
-				System.out.println(TXMUIMessages.CreatePartitionDialog_9);
+				System.out.println(TXMUIMessages.noPartitionNameWasSpecifiedTheNameIsP0);
 			}
 			else if (isAssistedSelected)
 			{
 				String name = this.corpus.getName()+"_"+compositeForAssisted.getProperty().getFullName(); //$NON-NLS-1$
 				nameText.setText(name);
-				System.out.println(TXMUIMessages.CreatePartitionDialog_9);
+				System.out.println(TXMUIMessages.noPartitionNameWasSpecifiedTheNameIsP0);
 			}
 			//return;
 		}
 
 		if (isAdvancedSelected() && noquery()) {
 			MessageDialog.openError(getShell(),
-					TXMUIMessages.CreateSubcorpusDialog_13,
-					TXMUIMessages.CreatePartitionDialog_16);
+					TXMUIMessages.invalidQuery,
+					TXMUIMessages.queriesCannotBeLeftEmpty);
 			return;
 		}
 
@@ -549,7 +549,7 @@
 	public StructuralUnit getStructuralUnit() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					TXMUIMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab);
 		return selectedStructuralUnit;
 	}
 
@@ -561,7 +561,7 @@
 	public StructuralUnitProperty getStructuralUnitProperty() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					TXMUIMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab);
 		return selectedStructuralUnitProperty;
 	}
 
@@ -573,7 +573,7 @@
 	public List<String> getQueries() {
 		if (!isAdvancedSelected())
 			throw new IllegalStateException(
-					TXMUIMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab);
 		return queriesString;
 	}
 
@@ -620,7 +620,7 @@
 		}
 
 		if (p == null) {
-			Log.severe(TXMUIMessages.CreatePartitionDialog_8);
+			Log.severe(TXMUIMessages.noPartWasDefined);
 			return null;
 		}
 		
@@ -633,7 +633,7 @@
 		}
 		
 		if (p.getPartsCount() == 0) {
-			Log.severe(TXMUIMessages.CreatePartitionDialog_10);
+			Log.severe(TXMUIMessages.errorDDotThePartitionCreatedHasNoPart);
 			return null;
 		}		
 		return p;
@@ -650,7 +650,7 @@
 		for (Text t: partNames) {
 			String name = t.getText().trim();
 			if (name.length() == 0)
-				name = TXMUIMessages.CreatePartitionDialog_7+count++; 
+				name = TXMUIMessages.part+count++; 
 			values.add(name);
 		}
 		return values;
@@ -664,4 +664,4 @@
 	public Partition getPartition() {
 		return partition;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___CreateFrequencyListDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___CreateFrequencyListDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___CreateFrequencyListDialog.java	(revision 1335)
@@ -85,7 +85,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(TXMUIMessages.FrequencyListEditorInput_0);
+		newShell.setText(TXMUIMessages.lexicon);
 	}
 
 	/**
@@ -107,7 +107,7 @@
 		composite.setLayout(layout);
 
 		Label anaPropLabel = new Label(composite, SWT.NONE);
-		anaPropLabel.setText(TXMUIMessages.CreatePartitionDialog_4);
+		anaPropLabel.setText(TXMUIMessages.ampPropertyDDot);
 		anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -131,12 +131,12 @@
 		int propIndex = anaPropCombo.getSelectionIndex();
 		if (propIndex == -1) {
 			MessageDialog.openError(getShell(),
-					TXMUIMessages.Invalid_analysis_property,
-					TXMUIMessages.Structure_field_not_empty);
+					TXMUIMessages.invalidProperty,
+					TXMUIMessages.structureFieldIsMandatory);
 			return;
 		}
 		property = properties.get(propIndex);
 		super.okPressed();
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java	(revision 1335)
@@ -78,8 +78,8 @@
 	public RunGroovyScript(IWorkbenchWindow window) {
 		this.window = window;
 		setId(ID);
-		setText(TXMUIMessages.RunGroovyScript_1);
-		setToolTipText(TXMUIMessages.RunGroovyScript_2);
+		setText(TXMUIMessages.ampRunScript);
+		setToolTipText(TXMUIMessages.runScript);
 		setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(
 				Application.PLUGIN_ID, IImageKeys.ACTION_RUN_SCRIPT));
 	}
@@ -102,7 +102,7 @@
 	public void run() {
 
 		FileDialog dialog = new FileDialog(window.getShell(), SWT.OPEN);
-		dialog.setFilterExtensions(new String[] { TXMUIMessages.RunGroovyScript_3 });
+		dialog.setFilterExtensions(new String[] { TXMUIMessages.groovy });
 		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts";
 		String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
 		
@@ -122,18 +122,18 @@
 			classPath.add(new File(scriptRootDir));
 			gse = new GroovyImportScriptRunner(script, classPath);
 		} catch (IOException e) {
-			System.err.println(NLS.bind(TXMUIMessages.RunGroovyScript_4, e));
+			System.err.println(NLS.bind(TXMUIMessages.errorWhileOpeningGroovyScriptDDotP0, e));
 			System.err.println(e);
 		}
 
 		if (gse != null) {
-			JobHandler jobhandler = new JobHandler(TXMUIMessages.RunGroovyScript_0,
+			JobHandler jobhandler = new JobHandler(TXMUIMessages.scriptExecution,
 					null) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
-						monitor.beginTask(TXMUIMessages.RunGroovyScript_9, 100);
+						monitor.beginTask(TXMUIMessages.executeScript, 100);
 						new Binding();
 						// gse.run(binding);
 						monitor.worked(100);
@@ -141,7 +141,7 @@
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
 					} catch (Exception e) {
-						System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8,
+						System.out.println(NLS.bind(TXMUIMessages.errorWhileRunningScriptDDotP0,
 								e));
 					} finally {
 						monitor.done();
@@ -152,4 +152,4 @@
 			jobhandler.startJob();
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java	(revision 1335)
@@ -61,7 +61,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(org.txm.rcp.messages.TXMUIMessages.SaveBeforeExecutionDialog_0);
+		newShell.setText(org.txm.rcp.messages.TXMUIMessages.saveBeforeExecution);
 		newShell.setMinimumSize(300, 460);
 
 	}
@@ -82,4 +82,4 @@
 	protected void okPressed() {
 		super.okPressed();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java	(revision 1335)
@@ -99,7 +99,7 @@
 			try {
 				subcorpus.getMainCorpus().dropSubcorpus(subcorpus);
 			} catch (CqiClientException e) {
-				System.err.println(NLS.bind(TXMUIMessages.DeleteInCorporaView_1, e));
+				System.err.println(NLS.bind(TXMUIMessages.failedToDeleteSubcorpusP0, e));
 			}
 		}
 		if (selection.getFirstElement() instanceof Partition) {
@@ -112,4 +112,4 @@
 //			}
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 1335)
@@ -115,7 +115,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(TXMUIMessages.CreateSubcorpusDialog_0);
+		newShell.setText(TXMUIMessages.createSubcorpus);
 		newShell.setMinimumSize(300, 300);
 	}
 
@@ -151,7 +151,7 @@
 		nameComposite.setLayout(layout4nameComposite);
 
 		Label nameLabel = new Label(nameComposite, SWT.NONE);
-		nameLabel.setText(TXMUIMessages.CreatePartitionDialog_6);
+		nameLabel.setText(TXMUIMessages.ampNameDDot);
 		nameLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, false, false));
 
 		name = new Text(nameComposite, SWT.BORDER);
@@ -163,19 +163,19 @@
 		
 		// First tab
 		TabItem simpleTab = new TabItem(tabFolder, SWT.NONE);
-		simpleTab.setText(TXMUIMessages.CreatePartitionDialog_1);
+		simpleTab.setText(TXMUIMessages.simple);
 		simplePanel = new SimpleSubcorpusPanel(tabFolder, SWT.NONE, this, corpus);
 		simpleTab.setControl(simplePanel);
 		
 		//Second tab: assisted mode
 		TabItem secondTab = new TabItem(tabFolder, SWT.NONE);
-		secondTab.setText(TXMUIMessages.CreatePartitionDialog_3);
+		secondTab.setText(TXMUIMessages.assisted);
 		this.complexPanel = new ComplexSubcorpusPanel(tabFolder, SWT.NONE, this.corpus);
 		secondTab.setControl(complexPanel);
 
 		// Third tab: advanced mode
 		TabItem advancedTab = new TabItem(tabFolder, SWT.NONE);
-		advancedTab.setText(TXMUIMessages.CreatePartitionDialog_5);
+		advancedTab.setText(TXMUIMessages.advanced);
 
 		Composite compositeForAdvanced = new Composite(tabFolder, SWT.NONE);
 		advancedTab.setControl(compositeForAdvanced);
@@ -184,7 +184,7 @@
 		compositeForAdvanced.setLayout(layoutForAdvanced);
 
 		Label advancedPartLabel = new Label(compositeForAdvanced, SWT.NONE);
-		advancedPartLabel.setText(TXMUIMessages.CreateSubcorpusDialog_10);
+		advancedPartLabel.setText(TXMUIMessages.ampQuery);
 		advancedPartLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
 
@@ -236,7 +236,7 @@
 		if (name.getText().length() == 0) {
 			String generated = "subcorpus"; //$NON-NLS-1$
 
-			System.out.println(TXMUIMessages.CreateSubcorpusDialog_8);
+			System.out.println(TXMUIMessages.noSubcorpusNameWasSpecifiedWeveGeneratedOne);
 			if (isAdvancedSelected()) {
 				generated += ""+(this.corpus.getSubcorpora().size()+1); //$NON-NLS-1$
 			} else if (assistedSelected) {
@@ -250,8 +250,8 @@
 		// test if a query has been set
 		if ((isAdvancedSelected()) && queryText.getText().length() == 0) {
 			MessageDialog.openError(getShell(),
-					TXMUIMessages.CreateSubcorpusDialog_13,
-					TXMUIMessages.CreateSubcorpusDialog_14);
+					TXMUIMessages.invalidQuery,
+					TXMUIMessages.queryCannotBeLeftEmpty);
 			return;
 		}
 
@@ -267,8 +267,8 @@
 				//System.out.println("3 "+queryString);
 				if (queryString == null || queryString.trim().length() == 0) {
 					MessageDialog.openError(getShell(),
-							TXMUIMessages.CreateSubcorpusDialog_13,
-							TXMUIMessages.CreateSubcorpusDialog_14);
+							TXMUIMessages.invalidQuery,
+							TXMUIMessages.queryCannotBeLeftEmpty);
 					return;
 				}
 			}
@@ -304,7 +304,7 @@
 	public StructuralUnit getStructuralUnit() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					TXMUIMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab);
 		return simplePanel.selectedStructuralUnit;
 	}
 
@@ -316,7 +316,7 @@
 	public StructuralUnitProperty getStructuralUnitProperty() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					TXMUIMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab);
 		return simplePanel.selectedStructuralUnitProperty;
 	}
 
@@ -328,7 +328,7 @@
 	public List<String> getValues() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					TXMUIMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab);
 		return simplePanel.selectedValues;
 	}
 
@@ -340,7 +340,7 @@
 	public String getQuery() {
 		if (isAdvancedSelected() == false && isAssistedSelected() == false)
 			throw new IllegalStateException(
-					TXMUIMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab);
 		return queryString;
 	}
 
@@ -361,4 +361,4 @@
 	public String getSubCorpusName() {
 		return name.getText();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 1335)
@@ -19,7 +19,7 @@
 	@Override
 	public void createFieldEditors() {
 		// Show all result nodes in Corpora view
-		addField(new BooleanFieldEditor(TBXPreferences.SHOW_ALL_RESULT_NODES, TXMUIMessages.preferences_advanced_showAllResultNodesInCorporaView, getFieldEditorParent()));
+		addField(new BooleanFieldEditor(TBXPreferences.SHOW_ALL_RESULT_NODES, TXMUIMessages.showAllResultNodesInCorporaView, getFieldEditorParent()));
 		addField(new StringFieldEditor(TBXPreferences.UPDATESITE, "Update site addres", getFieldEditorParent()));
 	}
 	
@@ -37,4 +37,4 @@
 		};
 		return false;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/LocalePreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/LocalePreferencePage.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/LocalePreferencePage.java	(revision 1335)
@@ -55,7 +55,7 @@
 	 */
 	public LocalePreferencePage() {
 		super();
-		setTitle(TXMUIMessages.LocalePreferencePage_1);
+		setTitle(TXMUIMessages.configurationOfTheUserInterfaceLanguage);
 	}
 
 	/* (non-Javadoc)
@@ -65,8 +65,8 @@
 	protected void createFieldEditors() {
 		String[][] values = { { "français", "fr" }, { "english", "en" } }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		locale = new RadioGroupFieldEditor(RCPPreferences.UI_LOCALE,
-				TXMUIMessages.LocalePreferencePage_2, 1, values,
+				TXMUIMessages.userInterfaceLanguage, 1, values,
 				getFieldEditorParent());
 		addField(locale);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/FileExplorerPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/FileExplorerPreferencePage.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/FileExplorerPreferencePage.java	(revision 1335)
@@ -53,7 +53,7 @@
 	 */
 	public FileExplorerPreferencePage() {
 		super();
-		setTitle(TXMUIMessages.ExportPreferencePage_1);
+		setTitle(TXMUIMessages.exportSettings);
 	}
 
 	/* (non-Javadoc)
@@ -63,11 +63,11 @@
 	protected void createFieldEditors() {
 
 		files_to_hide = new StringFieldEditor(RCPPreferences.FILES_TO_HIDE,
-				TXMUIMessages.FileExplorerPreferencePage_0, getFieldEditorParent());
+				TXMUIMessages.regexpPatternToHideFiles, getFieldEditorParent());
 		addField(files_to_hide);
 
 		show_hidden_files = new BooleanFieldEditor(RCPPreferences.SHOW_HIDDEN_FILES,
-				TXMUIMessages.FileExplorerPreferencePage_1, getFieldEditorParent());
+				TXMUIMessages.showHiddenFiles, getFieldEditorParent());
 		addField(show_hidden_files);
 
 		//show_folders = new BooleanFieldEditor(SHOW_FOLDERS, Messages.FileExplorerPreferencePage_2, getFieldEditorParent());
@@ -84,4 +84,4 @@
 		Explorer.refresh();
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ScriptPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ScriptPreferencePage.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ScriptPreferencePage.java	(revision 1335)
@@ -55,11 +55,11 @@
 	protected void createFieldEditors() {
 		
 		save_before_execution = new BooleanFieldEditor(RCPPreferences.SAVE_BEFORE_EXECUTION,
-				TXMUIMessages.ScriptPreferencePage_1, getFieldEditorParent());
+				TXMUIMessages.saveScriptBeforeExecution, getFieldEditorParent());
 		addField(save_before_execution);
 		
 		nosession = new IntegerFieldEditor(RCPPreferences.NO_SESSION,
-				TXMUIMessages.ScriptPreferencePage_0, getFieldEditorParent());
+				TXMUIMessages.nextSessionNumber, getFieldEditorParent());
 		addField(nosession);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1335)
@@ -55,13 +55,13 @@
 	protected void createFieldEditors() {
 
 		// install directory
-		addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, TXMUIMessages.AdvancePreferencePage_1, getFieldEditorParent()));
+		addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, TXMUIMessages.tXMInstallDirectory, getFieldEditorParent()));
 		
 		// txmhome directory
-		addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, TXMUIMessages.AdvancePreferencePage_2, getFieldEditorParent()));
+		addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, TXMUIMessages.tXMUserDirectory, getFieldEditorParent()));
 		
 		Group updateGroup = new Group(getFieldEditorParent(), SWT.NONE);
-		updateGroup.setText(TXMUIMessages.AdvancePreferencePage_6);
+		updateGroup.setText(TXMUIMessages.logs);
 		GridData gridData2 = new GridData(SWT.FILL, SWT.FILL, true, false);
 		gridData2.horizontalSpan = 3;
 		gridData2.verticalIndent = 10;
@@ -81,22 +81,22 @@
 		choices[6][0] = choices[6][1] = "FINER"; //$NON-NLS-1$
 		choices[7][0] = choices[7][1] = "FINEST"; //$NON-NLS-1$
 		choices[8][0] = choices[8][1] = "ALL"; //$NON-NLS-1$
-		addField(new ComboFieldEditor(TBXPreferences.LOG_LEVEL, TXMUIMessages.AdvancePreferencePage_12, choices, updateGroup));
+		addField(new ComboFieldEditor(TBXPreferences.LOG_LEVEL, TXMUIMessages.logLevel, choices, updateGroup));
 
 		// Log timings
-		addField(new BooleanFieldEditor(TBXPreferences.SHOW_TIMINGS, TXMUIMessages.AdvancePreferencePage_3, updateGroup));
+		addField(new BooleanFieldEditor(TBXPreferences.SHOW_TIMINGS, TXMUIMessages.displayRuntimesInConsole, updateGroup));
 		
 		// Log stack trace
-		addField(new BooleanFieldEditor(TBXPreferences.LOG_STACKTRACE, TXMUIMessages.AdvancePreferencePage_0, updateGroup));
+		addField(new BooleanFieldEditor(TBXPreferences.LOG_STACKTRACE, TXMUIMessages.printTheStacktrace, updateGroup));
 		
 		// Log console
-		addField(new BooleanFieldEditor(TBXPreferences.ADD_TECH_LOGS, TXMUIMessages.AdvancePreferencePage_13, updateGroup));
+		addField(new BooleanFieldEditor(TBXPreferences.ADD_TECH_LOGS, TXMUIMessages.logInTheConsole, updateGroup));
 		
 		// Show dialog on severe error
 		addField(new BooleanFieldEditor(RCPPreferences.SHOW_SEVERE_DIALOG, "Show a dialog box when a severe error occurs", updateGroup));
 
 		// Log in file
-		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, TXMUIMessages.AdvancePreferencePage_14, updateGroup));
+		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, TXMUIMessages.logInAFile, updateGroup));
 		
 		// Update level
 		String[][] choices2 = new String[4][2];
@@ -104,13 +104,13 @@
 		choices2[1][0] = choices2[1][1] = "BETA"; //$NON-NLS-1$
 		choices2[2][0] = choices2[2][1] = "ALPHA"; //$NON-NLS-1$
 		choices2[3][0] = choices2[3][1] = "DEV"; //$NON-NLS-1$
-		addField(new ComboFieldEditor(RCPPreferences.UPDATE_LEVEL, TXMUIMessages.AdvancePreferencePage_7,choices2, getFieldEditorParent()));
+		addField(new ComboFieldEditor(RCPPreferences.UPDATE_LEVEL, TXMUIMessages.updateLevel,choices2, getFieldEditorParent()));
 		
 		// Expert mode
-		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, TXMUIMessages.AdvancePreferencePage_4, getFieldEditorParent()));
+		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, TXMUIMessages.advancedUserMode, getFieldEditorParent()));
 
 		// Auto save each result after computing and auto load them at startup
-		addField(new BooleanFieldEditor(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TXMUIMessages.preferences_advanced_enableResultsPersistence, getFieldEditorParent()));
+		addField(new BooleanFieldEditor(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TXMUIMessages.enableAutomaticSaveOfAllResultsPersistence, getFieldEditorParent()));
 
 	}
 
@@ -129,7 +129,7 @@
 			service.executeCommand("org.txm.rcp.p2.plugins.FixUpdateHandler", null); //$NON-NLS-1$
 			
 		} catch (Exception e) {
-			System.err.println(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(TXMUIMessages.failedToSavePreferencesDDot + e);
 		}
 		return true;
 	}
@@ -138,4 +138,4 @@
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.getInstance().getPreferencesNodeQualifier()));
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java	(revision 1335)
@@ -81,8 +81,8 @@
 			super.performOk();
 			((ScopedPreferenceStore) this.getPreferenceStore()).save();
 		} catch (Exception e) {
-			System.err.println(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(TXMUIMessages.failedToSavePreferencesDDot + e);
 		}
 		return true;
 	}
-}
+}
\ No newline at end of file
